Skip to main content

Unmute Specific Chatroom Users

Remove the mute status of one or more specified users in a specific chatroom.

Request Method​

POST: https://data center domain/chatroom/user/gag/rollback.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. For details, see API Request Signature.

Body Parameters​

The HTTP request body data format is application/x-www-form-urlencoded, and the following HTTP form parameters are supported:

ParameterTypeRequiredDescription
userIdStringYesUser ID. Multiple users can be removed at the same time, with a maximum of 20 users.
chatroomIdStringYesChatroom ID.
extraStringNoJSON-formatted extended information carried by the notification, only valid when needNotify is true.
needNotifybooleanNoWhether to notify members. Default is false. If true, the client will trigger the corresponding callback method (requires Android/iOS IMLib ≧ 5.4.5; Web IMLib ≧ 5.7.9). Notification scope: All members in the specified chatroom.

Request Example​

POST /chatroom/user/gag/rollback.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=2583&userId=2582&chatroomId=16

Response​

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 is normal.

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}